Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002477Doomseeker[All Projects] Suggestionpublic2015-10-04 21:082017-09-27 18:17
ReporterWaTaKiD 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.0 
Target VersionFixed in Version1.2 
Summary0002477: Update Zandronum dmflags for Zandronum 3.0
Descriptionhttps://bitbucket.org/Torr_Samaho/zandronum/commits/7c829fcd214366e143b29bb938e6b04bf140dfd5 [^]

"Launchers and config files need to be updated to account for this change"
Attached Files

- Relationships

-  Notes
User avatar (0013608)
Zalewa (developer)
2015-10-05 16:48
edited on: 2015-10-05 16:49

This needs to be done, yes, but I won't release a plugin with these flags until the 3.0 version gets officially released. If I do, it will break the launcher for all the people who just want to play the game at 2.1. Still, thanks for bringing this to my attention.

User avatar (0016115)
Zalewa (developer)
2016-10-29 16:12
edited on: 2016-10-29 16:13

As Zandronum 3 is pretty much playable now but still not officially released, I will add an option in the "create game" box to switch between flags for version 2 and for version 3.

Current dmflags system in Doomseeker is still somewhat broken however and it eludes me right now how to do this in a way that won't involve either fierce amount of copypasta code or many confusing 'if/elseifs'.

The major pain here is that `dmflags` cvar values for yes-crouch and yes-jump have changed and this shifts values for about 10 other flags in this section. This is breaking the current way Doomseeker is programmed - in current state switch between Zandronum versions will force reset of all checkboxes that affect the `dmflags` cvar. Just look at the current code for this.

User avatar (0016124)
Zalewa (developer)
2016-10-30 18:22

Preparatory commits:

1.https://bitbucket.org/Doomseeker/doomseeker/commits/50a3bb29d673c889647a14dfbc4f40302b95fd3d [^]
2.https://bitbucket.org/Doomseeker/doomseeker/commits/fd95ed2a95a2524df6a7b3779673c2a712ad6a68 [^]
User avatar (0016132)
Zalewa (developer)
2016-10-31 14:42

Looney preparatory commit that allows to disconnect Zandronum's flags setup in Doomseeker from the `dmflags` numerical values:

3.https://bitbucket.org/Doomseeker/doomseeker/commits/5b356dfe8ecef7de0ebb70b4a4e5a2739abb104a [^]
User avatar (0016134)
Zalewa (developer)
2016-11-01 15:18
edited on: 2016-11-01 15:19

Something really awful:

4.https://bitbucket.org/Doomseeker/doomseeker/commits/9968ac66d50569691b48770b7537338e90d9407f [^]
5.https://bitbucket.org/Doomseeker/doomseeker/commits/698bdc22711907a85d5c58a0fba868f7f19c312c [^]
6.https://bitbucket.org/Doomseeker/doomseeker/commits/4fa160770f87028e195ff49de2583c69a1eaccee [^]
7.https://bitbucket.org/Doomseeker/doomseeker/commits/8d7021259b29b307dd0e2e137f0572c00049fc16 [^]
8.https://bitbucket.org/Doomseeker/doomseeker/commits/edd22282815ee83705b8944d27e50b0897ace4dc [^]

I couldn't figure out how to do this in a way that would allow to avoid copypasting the entire dmflags listing and then copypasting all of the bindings that bind checkboxes to dmflags numerical values. I mean, there are methods to do this but these would involve lots of 'ifs' that could create some nasty bugs. I have assumed that dmflags listing for Zandronum 2 will not change anymore and the code that handles this version will pretty much be frozen.


So, the feature is ready. Create game box will allow the user to switch flag sets between Zandronum 2 and Zandronum 3. I will put up a beta sometime soon.

User avatar (0016143)
Zalewa (developer)
2016-11-02 20:08
edited on: 2016-11-02 20:11

Newest version available on the beta update channel will now allow to alternate between flag set for Zandronum 2 and Zandronum 3. See "Flags" tab in "Create Game" dialog box.

Also, settings will now be stored internally per-checkbox. All checkboxes now have their own unique ID and each checkbox is a separate entry in the server configuration file. Doomseeker will no longer rely on Zandronum's dmflags uint32s, although it will still generate them for ease of copy & paste and for usage in the game command line to start the game.

User avatar (0017977)
Zalewa (developer)
2017-07-03 17:39

Additional settings have been added in the meanwhile so I'm changing the status back to "assigned".
User avatar (0018223)
Zalewa (developer)
2017-09-02 08:08

"Dead players can keep inventory" dmflag added here:https://bitbucket.org/Doomseeker/doomseeker/commits/a97a2bca6431a3ac14ce022bef44371de55643bf [^]
User avatar (0018367)
Zalewa (developer)
2017-09-24 16:49

This commit switches the default game version to Zandronum 3, thus finalizing this task:https://bitbucket.org/Doomseeker/doomseeker/commits/bc380eca6113f06feda39a8cd7fe712a0c211b18 [^]
User avatar (0018374)
WubTheCaptain (developer)
2017-09-24 18:19

I can't comment on the patches or their code quality as a whole work, but I did a little bit of testing for the last two commits.

The Create Game menu selections seem to retain their Zandronum versions between 1.1 and latest Mercurial build as it should.

"Players who lose all lives can keep inventory" is visible for Zan 3.0 config and invisible for Zan 2.x, as it should be.
User avatar (0018395)
Zalewa (developer)
2017-09-27 18:17

I'm closing this as done, though we probably should release another plugin update soon. Then again, given recent surge of changes, Doomseeker 1.2 might not be that far away.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: DevilHunter
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-10-04 21:08 WaTaKiD New Issue
2015-10-04 21:19 Blzut3 Summary dmflags values compatibility problems => Update Zandronum dmflags for Zandronum 3.0
2015-10-05 16:48 Zalewa Note Added: 0013608
2015-10-05 16:49 Zalewa Note Edited: 0013608 View Revisions
2016-10-24 19:30 Zalewa Category Bug => Suggestion
2016-10-24 19:30 Zalewa Assigned To => Zalewa
2016-10-24 19:30 Zalewa Status new => assigned
2016-10-29 16:12 Zalewa Note Added: 0016115
2016-10-29 16:13 Zalewa Note Edited: 0016115 View Revisions
2016-10-30 18:22 Zalewa Note Added: 0016124
2016-10-31 14:42 Zalewa Note Added: 0016132
2016-11-01 15:18 Zalewa Note Added: 0016134
2016-11-01 15:18 Zalewa Status assigned => needs review
2016-11-01 15:19 Zalewa Note Edited: 0016134 View Revisions
2016-11-02 20:08 Zalewa Note Added: 0016143
2016-11-02 20:08 Zalewa Status needs review => needs testing
2016-11-02 20:11 Zalewa Note Edited: 0016143 View Revisions
2017-07-03 17:39 Zalewa Note Added: 0017977
2017-07-03 17:39 Zalewa Status needs testing => assigned
2017-09-02 08:08 Zalewa Note Added: 0018223
2017-09-24 16:49 Zalewa Note Added: 0018367
2017-09-24 16:49 Zalewa Status assigned => needs review
2017-09-24 18:19 WubTheCaptain Note Added: 0018374
2017-09-27 18:17 Zalewa Note Added: 0018395
2017-09-27 18:17 Zalewa Status needs review => resolved
2017-09-27 18:17 Zalewa Fixed in Version => 1.2
2017-09-27 18:17 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker